EBOOK-CONVERT(1)

NAME
ebook-convert - ebook-convert

            ebook-convert input_file output_file [options]

Convert an e-book from one format to another.

input_file is the input and output_file is the output. Both must be specified as the first two arguments to the command.

The output e-book format is guessed from the file extension of output_file. output_file can also be of the special format .EXT where EXT is the output file extension. In this case, the name of the output file is derived from the name of the input file. Note that the filenames must not start with a hyphen. Finally, if output_file has no extension, then it is treated as a folder and an "open e-book" (OEB) consisting of HTML files is written to that folder. These files are the files that would normally have been passed to the output plugin.

After specifying the input and output file you can customize the conversion by specifying various options. The available options depend on the input and output file types. To get help on them specify the input and output file and then use the -h option.

For full documentation of the conversion system see E-book conversion <#conversion>

Whenever you pass arguments to ebook-convert that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

The options and default values for the options change depending on both the input and output formats, so you should always check with:

            ebook-convert myfile.input_format myfile.output_format -h

Below are the options that are common to all conversion, followed by the options specific to every input and output format.

    •   VSTUPNÉ NASTAVENIA

    •   VÝSTUPNÉ NASTAVENIA

    •   VZHĽAD

    •   HEURISTICKÉ SPRACOVÁNIE

    •   NÁJSŤ A NAHRADIŤ

    •   ROZPOZNÁVANIE ŠTRUKTÚRY

    •   OBSAH

    •   METADATA

    •   DEBUG

    --help, -h
        zobraziť túto nápovedu a skončiť

    --input-profile
        Nastavenie vstupného profilu. Vstupný profil predá konverznému systému konverzie informácie o tom, ako interpretovať rôzne informácie vo vstupnom dokumente. Napríklad rozlíšenie závisí od dĺžky (tj dĺžky v pixeloch). Možnosti sú: cybookg3, cybook_opus, default, hanlinv3, hanlinv5, illiad, irexdr1000, irexdr800, kindle, msreader, mobipocket, nook, sony, sony300, sony900

    --list-recipes
        List builtin recipe names. You can create an e-book from a builtin recipe like this: ebook-convert "Recipe Name.recipe" output.epub

    --output-profile
        Specify the output profile. The output profile tells the conversion system how to optimize the created document for the specified device. In some cases, an output profile can be used to optimize the output for a particular device, but this is rarely necessary. Choices are:cybookg3, cybook_opus, default, hanlinv3, hanlinv5, illiad, ipad, ipad3, irexdr1000, irexdr800, jetbook5, kindle, kindle_dx, kindle_fire, kindle_oasis, kindle_pw, kindle_pw3, kindle_scribe, kindle_voyage, kobo, msreader, mobipocket, nook, nook_color, nook_hd_plus, pocketbook_inkpad3, pocketbook_lux, pocketbook_hd, pocketbook_900, pocketbook_pro_912, galaxy, sony, sony300, sony900, sony-landscape, sonyt3, tablet, generic_eink, generic_eink_hd, generic_eink_large

    --version
        zobraziť verziu programu a skončiť

VSTUPNÉ NASTAVENIA

Nastavenia, ktoré ovládajú spracovanie vstupných mobi súborov

    --input-encoding
        Kódovanie znakov výstupného dokumentu. Toto kódovanie, ak bude nastavené, bude použité prednostne pred kódovaním uvedeným v samotnom dokumente. Týmto parametrom je možné doplniť chýbajúce alebo opraviť nesprávne kódovanie znakov.

VÝSTUPNÉ NASTAVENIA

Nastavenia, ktoré ovládajú spracovanie výstupných epub súborov

    --dont-split-on-page-breaks
        Turn off splitting at page breaks. Normally, input files are automatically split at every page break into two files. This gives an output e-book that can be parsed faster and with less resources. However, splitting is slow and if your source file contains a very large number of page breaks, you should turn off splitting on page breaks.

    --epub-flatten
        Táto voľba je potrebná len ak chcete použiť EPUB v FBReaderJ. Zploští súborový systém v EPUB tak, že všetky súbory dá do priečinka najvyššej úrovne.

    --epub-inline-toc
        Vložiť vnorený Obsah, ktorý sa zobrazí ako súčasť knižného obsahu.

    --epub-max-image-size
        The maximum image size (width x height). A value of profile means use the screen size from the output profile. A value of none means no maximum size is specified. For example, a value of 100x200 will cause all images to be resized so that their width is no more than 100 pixels and their height is no more than 200 pixels. Note that this only affects the size of the actual image files themselves. Any given image may be rendered at a different size depending on the styling applied to it in the document.

    --epub-toc-at-end
        Vložený vnorený Obsah umiestnite na koniec knihy namiesto na jej začiatok.

    --epub-version
        Verzia súboru EPUB, ktorý chcete vygenerovať. EPUB 2 je najkompatibilnejší, EPUB 3 použite len vtedy, pokiaľ viete, že ho skutočne potrebujete.

    --extract-to
        Extract the contents of the generated book to the specified folder. The contents of the folder are first deleted, so be careful.

    --flow-size
        Split all HTML files larger than this size (in KB). This is necessary as most EPUB readers cannot handle large file sizes. The default of 260KB is the size required for Adobe Digital Editions. Set to 0 to disable size based splitting.

    --no-default-epub-cover
        Zvyčajne ak vstupný súbor nemá žiadny obal knihy, a žiadny nešpecifikujete, predvolený obal je generovaný s názvom, autormi, atď. Táto možnosť zakáže generáciu týchto obálok.

    --no-svg-cover
        Nepoužívajte SVG pre knižné obálky. Túto možnosť použite, ak váš EPub bude použitý v zariadení, ktoré nepodporuje SVG, napr.v iPhone alebo JetBook Lite. Bez tejto voľby, zobrazia zariadenia obálku ako prázdnu stránku.

    --preserve-cover-aspect-ratio
        Pri použití obálky SVG, táto voľba spôsobí, že obálka pokryje dostupnú oblasť obrazovky, ale stále zachovať pomer strán (pomer šírky k výške). To znamená, že môže vzniknôť biela hranica na bokoch alebo hornej a dolnej časti obrazu, ale obraz už nikdy nebude narušený. Bez tejto voľby obraz môže byť mierne skreslený, ale bez hraníc.

    --pretty-print
        Ak je špecifikovaný, výstupný plugin skúsi vytvoriť výstup čitateľný pre človeka. Nemusí mať žiadny efekt pre niektoré výstupné pluginy.

    --toc-title
        Title for any generated inline table of contents.

VZHĽAD

Nastavenia výzoru výstupných súborov

    --asciiize
        Transliterate Unicode characters to an ASCII representation. Use with care because this will replace Unicode characters with ASCII. For instance it will replace "Pelé" with "Pele". Also, note that in cases where there are multiple representations of a character (characters shared by Chinese and Japanese for instance) the representation based on the current calibre interface language will be used.

    --base-font-size
        The base font size in pts. All font sizes in the produced book will be rescaled based on this size. By choosing a larger size you can make the fonts in the output bigger and vice versa. By default, when the value is zero, the base font size is chosen based on the output profile you chose.

    --change-justification
        Zmena zarovnania textu. Hodnota "left" zmení všetok zarovnaný text v zdroji doľava (t.j. nezarovnaný) text. Hodnota "justify", zmení všetok nezarovnaný text na zarovnaný do bloku. Hodnota "original" (predvolená) zarovnanie v zdrojovom súbore nezmení. Všimnite si, že len niektoré výstupné formáty podporujú zarovnanie.

    --disable-font-rescaling
        Zakázať všetky prepočty veľkosti písma.

    --embed-all-fonts
        Embed every font that is referenced in the input document but not already embedded. This will search your system for the fonts, and if found, they will be embedded. Embedding will only work if the format you are converting to supports embedded fonts, such as EPUB, AZW3, DOCX or PDF. Please ensure that you have the proper license for embedding the fonts used in this document.

    --embed-font-family
        Embed the specified font family into the book. This specifies the "base" font used for the book. If the input document specifies its own fonts, they may override this base font. You can use the filter style information option to remove fonts from the input document. Note that font embedding only works with some output formats, principally EPUB, AZW3 and DOCX.

    --expand-css
        By default, calibre will use the shorthand form for various CSS properties such as margin, padding, border, etc. This option will cause it to use the full expanded form instead. Note that CSS is always expanded when generating EPUB files with the output profile set to one of the Nook profiles as the Nook cannot handle shorthand CSS.

    --extra-css
        Nastaviť cestu k štýlom CSS alebo surovému CSS. Tento CSS bude pripojený k štýlom zo zdrojového súboru, takže je ho možné použiť na potlačenie týchto pravidiel.

    --filter-css
        Zoznam CSS vlastností, ktoré budú odstránené zo všetkých pravidiel CSS. Je to užitočné ak nejaká informácia v štýloch zabraňuje jej predefinovaniu v zariadení. Napr.: font-family,color,margin-left,margin-right

    --font-size-mapping
        Mapovanie z názvov písma CSS k veľkosti písma v bodoch. Príklad nastavenie je 12,12,14,16,18,20,22,24. Jedná sa o mapovanie pre veľkosti xx-small na xx-large, s konečnou veľkosť pre veľké fonty. Algoritmus k prepočtu písma používa tieto rozmery pre inteligentné přeškálovanie písma. Predvolená je použitie mapovanie na základe výstupu vybraného profilu.

    --insert-blank-line
        Vložiť prázdny riadok medzi odseky. Nebude fungovať, ak zdrojový súbor nepoužíva odseky (<p> alebo <div> tagy).

    --insert-blank-line-size
        Nastaví výšku vložených prázdnych riadkov (v jednotkách em). Výška riadkov medzi odstavcami bude dvojnásobkom tejto hodnoty.

    --keep-ligatures
        Preserve ligatures present in the input document. A ligature is a combined character of a pair of characters like ff, fi, fl et cetera. Most readers do not have support for ligatures in their default fonts, so they are unlikely to render correctly. By default, calibre will turn a ligature into the corresponding pair of normal characters. Note that ligatures here mean only unicode ligatures not ligatures created via CSS or font styles. This option will preserve them instead.

    --line-height
        Výška riadka v bodoch. Určuje medzery medzi susednými riadkami textu. Použije sa len na prvky, ktoré nemajú nastavenú vlastnú výšku riadka. Vo väčšine prípadov je užitočnejšia voľna minimálna výška riadka. Vo východzom stave sa nerobí žiadna úprava výšky riadkov.

    --linearize-tables
        Niektoré zle navrhnuté dokumenty použijú tabuľky pre kontrolu rozloženia textu na stránke. Pri prevode týchto dokumentov majú často text, ktorý beží mimo stránku a ďalšie artefakty. Táto voľba bude extrahovať obsah z tabuliek a predloži ho lineárne.

    --margin-bottom
        Set the bottom margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

    --margin-left
        Set the left margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

    --margin-right
        Set the right margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

    --margin-top
        Set the top margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

    --minimum-line-height
        Minimálna výška riadka ako percento vypočítanej veľkosti písma prvku. Calibre zaistí, že každý prvok bude mať aspoň túto výšku riadka bez ohľadu na špecifikáciu vstupného dokumentu. Nastavte nulu pro zakázanie. Východzia hodnota je 120%. Ak si nie ste istý, čo robíte, uprednostnite toto nastavenie pred priamym určením výšky riadka. Napríklad dvojnásobné riadkovanie môžete dosiahnuť nastavením hodnoty 240.

    --remove-paragraph-spacing
        Odstrániť medzery medzi odsekmi. Tiež stanovuje zarážky odsekov 1.5em. Odstránenie medzier nebude fungovať, ak zdrojový súbor nepoužíva odseky (<p> alebo <div> tagy).

    --remove-paragraph-spacing-indent-size
        Ak Calibre odstráni prázdne riadky medzi odstavcami, automaticky, pre ľahšie odlíšenie, text odsadí. Táto voľba určuje širku odsadenia (v jednotkách em). Pri nastavení zápornej hodnoty sa použije hodnota odsadenia uvedená vo vstupnom dokumente - Calibre odsadenie nezmení.

    --smarten-punctuation
        Convert plain quotes, dashes and ellipsis to their typographically correct equivalents. For details, see: <https://daringfireball.net/projects/smartypants>.

    --subset-embedded-fonts
        Subset all embedded fonts. Every embedded font is reduced to contain only the glyphs used in this document. This decreases the size of the font files. Useful if you are embedding a particularly large font with lots of unused glyphs.

    --transform-css-rules
        Path to a file containing rules to transform the CSS styles in this book. The easiest way to create such a file is to use the wizard for creating rules in the calibre GUI. Access it in the "Look & feel->Transform styles" section of the conversion dialog. Once you create the rules, you can use the "Export" button to save them to a file.

    --transform-html-rules
        Path to a file containing rules to transform the HTML in this book. The easiest way to create such a file is to use the wizard for creating rules in the calibre GUI. Access it in the "Look & feel->Transform HTML" section of the conversion dialog. Once you create the rules, you can use the "Export" button to save them to a file.

    --unsmarten-punctuation
        Skonvertovať ozdobné úvodzovky, pomlčky a trojbodky na ich obyčajné ekvivalenty.

HEURISTICKÉ SPRACOVÁNIE

Modifikovať text a štruktúru dokumentu pomocou spoločných znakov. Štandardne je vypnuté. Použite --enable-heuristics na zapnutie. Jednotlivé akcie môžu byť zakázané pomocou voľby --disable-
*
.

    --disable-dehyphenate
        Analyzovať delenie slov v celom dokumente. Dokument samotný sa použije ako slovník na určenie, či majú byť rozdelenia ponechané, alebo odstránené.

    --disable-delete-blank-paragraphs
        Odstrániť prázdne odstavce z dokumentu ak sa nachádzajú medzi každým ďalším odstavcom

    --disable-fix-indents
        Preklopiť odsadenie z viacerých nedeliteľných medzier do CSS.

    --disable-format-scene-breaks
        Left aligned scene break markers are center aligned. Replace soft scene breaks that use multiple blank lines with horizontal rules.

    --disable-italicize-common-cases
        Hľadať zvyčajné slová a vzorce, ktoré označují kurzívou a previesť ich na kurzívu.

    --disable-markup-chapter-headings
        Detekovať neformátované hlavičky a podhlavičky kapitol. Zmeniť ich na značky h2 a h3. Toto nastavenie nevytvorí Obsah, ale spolu s detekciou štruktúry môže byť použité na jeho vytvorenie.

    --disable-renumber-headings
        Hľadá výskyty značiek <h1> alebo <h2> nasledujúcich po sebe. Značky sa prečíslujú, čím sa zabráni rozdeleniu uprostred hlavičiek kapitol.

    --disable-unwrap-lines
        Nezalamovať riadky používajúce interpunkciu a ďalšie formátovacie stopy.

    --enable-heuristics
        Povoliť heuristické zpracovanie. Aby bolo umožnené akékoľvek heuristické spracovanie, musí byť táto voľba povolená.

    --html-unwrap-factor
        Mierka používaná na určenie dĺžky, od ktorej sa riadok nemá zalomiť. Platné hodnoty sú desatinné čísla medzi 0 a 1. Štandard je 0,4; tesne pod strednou dĺžkou riadka. Ak iba niekoľko riadkov v dokumente nevyžadujú zalomenie, mala by sa táto hodnota znížiť.

    --replace-scene-breaks
        Nahradiť zalomenie scény zadaným textom. V pôvodnom stave je použitý text zo vstupného súboru.

NÁJSŤ A NAHRADIŤ

Upraviť text a štruktúru dokumentu pomocou určených šablón.

    --search-replace
        Path to a file containing search and replace regular expressions. The file must contain alternating lines of regular expression followed by replacement pattern (which can be an empty line). The regular expression must be in the Python regex syntax and the file must be UTF-8 encoded.

    --sr1-replace
        Náhrada za text nájdený pomocou sr1-search.

    --sr1-search
        Hľadaný reťazec (regulárny výraz), ktorý sa má nahradiť pomocou sr1-replace.

    --sr2-replace
        Náhrada za text nájdený pomocou sr2-search.

    --sr2-search
        Hľadaný reťazec (regulárny výraz), ktorý má byť nahradený pomocou sr2-replace.

    --sr3-replace
        Náhrada za text nájdený pomocou sr3-search.

    --sr3-search
        Hľadaný reťazec (regulárny výraz), ktorý má byť nahradený pomocou sr3-replace.

ROZPOZNÁVANIE ŠTRUKTÚRY

Autodetekcia štruktúry dokumentu.

    --add-alt-text-to-img
        When an <img> tag has no alt attribute, check the associated image file for metadata that specifies alternate text, and use it to fill in the alt attribute. The alt attribute improves accessibility by providing text descriptions for users who cannot see or fully interpret visual content.

    --chapter
        An XPath expression to detect chapter titles. The default is to consider <h1> or <h2> tags that contain the words "chapter", "book", "section", "prologue", "epilogue" or "part" as chapter titles as well as any tags that have class="chapter". The expression used must evaluate to a list of elements. To disable chapter detection, use the expression "/". See the XPath Tutorial in the calibre User Manual for further help on using this feature.

    --chapter-mark
        Nastavenie spôsobu označenia detekovaných kapitol. Hodnota "pagebreak" vloží pred kapitoly zlom stránky. Hodnota "rule" vloží pred kapitoly riadok. Hodnota "none" zakáže označovanie kapitol a hodnota "both" bude označovať kapitoly zlomami stránky aj riadkami.

    --disable-remove-fake-margins
        Niektoré dokumenty špecifikujú okraje stránok určením pravého a ľavého okraja v každom odstavci samostatne. Calibre sa pokúsi takéto okraje nájsť a odstrániť. Niekedy to môže spôsobiť odstránenie aj tých okrajov, ktoré nemali byť odstránené. V takom prípade môžete odstraňovanie okrajov vypnúť.

    --insert-metadata
        Insert the book metadata at the start of the book. This is useful if your e-book reader does not support displaying/searching metadata directly.

    --page-breaks-before
        An XPath expression. Page breaks are inserted before the specified elements. To disable use the expression: /

    --prefer-metadata-cover
        Obálka nájdená v zdrojovom súbore má prednosť pred zvolenou obálkou.

    --remove-first-image
        Remove the first image from the input e-book. Useful if the input document has a cover image that is not identified as a cover. In this case, if you set a cover in calibre, the output document will end up with two cover images if you do not specify this option.

    --start-reading-at
        An XPath expression to detect the location in the document at which to start reading. Some e-book reading programs (most prominently the Kindle) use this location as the position at which to open the book. See the XPath tutorial in the calibre User Manual for further help using this feature.

OBSAH

Ovláda automatické generovania Obsahu Knihy. Štandardne, v prípade, že zdrojový súbor má Obsah Knihy, bude použitý prednostne pred automaticky generovaným.

    --duplicate-links-in-toc
        Povoliť duplicitné položky pri vytváraní obsahu z odkazov vo vstupnom dokumente. Tzn. povoliť viac položiek s rovnakým názvom za predpokladu, že odkazujú na rozdielne miesta.

    --level1-toc
        Výraz XPath určujúci všetky značky, ktoré by mali byť pridané do Obsahu na prvej úrovni. Ak je hodnota zadaná, má prednosť pred ostatnými formami autodetekcie. Pozrite si príklady v Školení XPath v Užívateľskej príručke Calibre.

    --level2-toc
        Výraz XPath určujúci všetky značky, ktoré by mali byť pridané do Obsahu na druhej úrovni. Každá položka je pridaná pod predchádzajúcu položku prvej úrovne. Pozrite si príklady v Školení XPath v Užívateľskej príručke Calibre.

    --level3-toc
        Výraz XPath určujúci všetky značky, ktoré by mali byť pridané do Obsahu na tretej úrovni. Každá položka je pridaná pod predchádzajúcu položku druhej úrovne. Pozrite si príklady v Školení XPath v Užívateľskej príručke Calibre.

    --max-toc-links
        Maximálny počet odkazov na vloženie do TOC. Nastavte na 0 pre vypnutie. Predvolená hodnota je: 50. Odkazy sú pridané do obsahu, ak je zistená nižšia ako prahová hodnota počtu kapitol.

    --no-chapters-in-toc
        Nepridávať automaticky nájdené kapitoly do obsahu.

    --toc-filter
        Odstrániť položky z Obsahu ktorých názvy vyhovujú zadanému regulárnemu výrazu. Takéto položky sú odstránené vrátane všetkých ich potomkov.

    --toc-threshold
        Ak počet automaticky nájdených kapitol neprekročí túto hodnotu, budú odkazy na ne pridané do obsahu. Predvolená hodnota je 6.

    --use-auto-toc
        Ak má zdrojový súbor Obsah, štandardne je uprednostnený pred automaticky generovaným. Pomocou tejto voľby bude vždy použitý automaticky generovaný.

METADATA

Nastavenia výstupných metadát

    --author-sort
        Reťazec, ktorý bude použitý pri triedení podľa autora.

    --authors
        Nastaviť autorov. Viac autorov by malo byť oddelené znakmi.

    --book-producer
        Zadajte výrobcu knihy

    --comments
        Nastaviť popis e-knihy.

    --cover
        Nastavenie obálky ako špecifického URL sôboru

    --isbn
        Vložiť ISBN knihy

    --language
        Nastaviť jazyk.

    --pubdate
        Set the publication date (assumed to be in the local timezone, unless the timezone is explicitly specified)

    --publisher
        Nastaviť vydavateľa e-knihy.

    --rating
        Ohodnotiť. Možno vložiť číslo medzi 1 a 5

    --read-metadata-from-opf, --from-opf, -m
        Čítanie metadát z špecifikovaného OPF sôboru. Prečítané metadáta z tohto súboru prepíšu metadata v zdrojovom súbore.

    --series
        Nastaviť sériu, do ktorej táto e-kniha patrí.

    --series-index
        Zadajte poradové číslo knihy v rámci tejto série.

    --tags
        Zadajte značky pre knihy. Mali by byť oddelené čiarkami.

    --timestamp
        Nastav časový údaj (už to viac nie je nikde použité)

    --title
        Nastaviť názov

    --title-sort
        Verzia názvu použitá pre triedenie.

DEBUG

Voľby na pomoc s ladením konverzie.

    --debug-pipeline, -d
        Save the output from different stages of the conversion pipeline to the specified folder. Useful if you are unsure at which stage of the conversion process a bug is occurring.

    --verbose, -v
        Level of verbosity. Specify multiple times for greater verbosity. Specifying it twice will result in full verbosity, once medium verbosity and zero times least verbosity.

Author
Kovid Goyal

Copyright
Kovid Goyal